package com.pms.ocp.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import com.pms.ocp.model.dto.OcpTenantGroupDto;
import com.pms.ocp.model.dto.PageGroupDto;
import com.pms.ocp.model.dto.TenanBaseDto;
import com.pms.ocp.model.entity.OcpApiGroup;
import com.pms.ocp.model.entity.OcpTenantGroup;

import java.util.List;

public interface TenantService  extends IService<OcpTenantGroup> {
    /**
     * 应用树分类管理
     * @return
     */




    OcpTenantGroupDto getTree();

    /**
     * 应用新增
     * @param
     * @return
     */
    boolean getTenanInster(TenanBaseDto TenanBaseDto);

    /**
     * 修改应用
     * @param ocpTenantGroup
     * @return
     */
    boolean getTenantUpdata(OcpTenantGroup ocpTenantGroup);

    /**
     * 删除服务
     * @param ocpTenantGroup
     * @return
     */
    boolean gettenantDelete(OcpTenantGroup ocpTenantGroup);


}
